JE::Object::Math(3pm)

NAME
JE::Object::Math - JavaScript Math object

SYNOPSIS
  use JE;
  use JE::Object::Math;

  $j = new JE;

  $math_obj = new JE::Object::Math $j;

DESCRIPTION
This class implements the JavaScript Math object.

METHODS
See JE::Types for descriptions of most of the methods. Only what is specific to JE::Object::Math is explained here.

JE::Object::Math->new($global_obj)
    Creates a new Math object.

value
    Not particularly useful. Returns a hash ref that is completely empty, unless you've added your own properties to the object. This may change in a future release.

class
    Returns the string 'Math'

SEE ALSO

JE
JE::Types
JE::Object
JE::Number